semigroupoids-5.2: Semigroupoids: Category sans id

Copyright | (C) 2011-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | polykinds
Safe Haskell | Safe
Language | Haskell98

Data.Isomorphism

Description

# Documentation

data Iso k a b #

Constructors

Iso |
Fields embed :: k a b project :: k b a

Instances

Category k k1 => Category k (Iso k k1) # |
Methods id :: cat a a # (.) :: cat b c -> cat a b -> cat a c #
Semigroupoid k k1 => Semigroupoid k (Iso k k1) # |
Methods o :: c j k -> c i j -> c i k #
Semigroupoid k k1 => Groupoid k (Iso k k1) # |
Methods inv :: k a b -> k b a #